Page MenuHomePhabricator

mouse issue with enlightenment-git wayland
Closed, ResolvedPublic

Description

Mouse acceleration setting can't be saved with e wayland session.
It always go back to '0'
Treshold is saved normally
It doesn't happen with X
Conditions:
Last git master enlightenment-git and efl-git Arch Aur
1000 dpi optical brand new mouse

maderios created this task.Aug 8 2020, 8:51 AM
ProhtMeyhet triaged this task as Normal priority.Oct 8 2020, 9:00 AM
devilhorns added a comment.EditedNov 9 2020, 8:39 PM

There is a part of Enlightenment settings that does Not properly respect WL ones ....

@maderios Find the X11 mouse saving dialog...Likely there is an #ifdef !WAYLAND or something going on....Just remove that

Maybe ... I don't quite know yet, but it's NOT hard to look at...

raster closed this task as Resolved.Dec 10 2020, 6:01 AM

this should be fixed now fyi.. it was just broken in how it was all handled. in adding the xinput touchapand etc. controls i also fixed this.